import { jsx } from "react/jsx-runtime";
import { CloudMoonIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const CloudMoon = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "CloudMoon", ...props, children: /* @__PURE__ */ jsx(CloudMoonIcon, { weight: variant }) });
  }
);
CloudMoon.displayName = "CloudMoon";
Object.assign(CloudMoon, { isGdsIcon: true });
export {
  CloudMoon
};
